<?php

class Waindigo_UserGroups_Listener_LoadClassModel extends Waindigo_Listener_LoadClass
{
	/**
	 * Gets the classes that are extended for this add-on. See parent for explanation.
	 *
	 * @return array
	 */
	protected function _getExtends()
	{
		return array(
			'XenForo_Model_Permission' => 'Waindigo_UserGroups_Extend_XenForo_Model_Permission', /* END 'XenForo_Model_Permission' */
		    'XenForo_Model_UserGroup' => 'Waindigo_UserGroups_Extend_XenForo_Model_UserGroup', /* END 'XenForo_Model_UserGroup' */
		);
	} /* END Waindigo_UserGroups_Listener_LoadClassModel::_getExtends */

	public static function loadClassModel($class, array &$extend)
	{
		$loadClassModel = new Waindigo_UserGroups_Listener_LoadClassModel($class, $extend);
		$extend = $loadClassModel->run();
	} /* END Waindigo_UserGroups_Listener_LoadClassModel::loadClassModel */
}